{
  "name": "component-lib",
  "version": "1.0.0",
  "description": "动态组件库",
  "main": "dist/component-lib.ssr.js",
  "browser": "dist/component-lib.esm.js",
  "module": "dist/component-lib.esm.js",
  "unpkg": "dist/component-lib.min.js",
  "types": "dist/types/src/entry.esm.d.ts",
  "files": [
    "dist/*",
    "src/**/*.vue"
  ],
  "sideEffects": false,
  "scripts": {
    "start": "npm run serve",
    "serve": "vue-cli-service serve dev/serve.ts",
    "prebuild": "rimraf ./dist",
    "build": "npm run build:es && npm run build:web && node ./repair.js && node ./html.js",
    "build:es": "cross-env NODE_ENV=production rollup --config build/rollup.config.js --format es",
    "build:web": "cross-env NODE_ENV=production rollup --config build/rollup.config.js --format iife && node ./repair.js && node ./html.js",
    "postbuild": "rimraf ./dist/types/dev ./dist/types/src/entry.d.ts"
  },
  "devDependencies": {
    "@babel/core": "^7.14.6",
    "@babel/preset-env": "^7.14.7",
    "@babel/preset-typescript": "^7.14.5",
    "@rollup/plugin-alias": "^3.1.2",
    "@rollup/plugin-babel": "^5.3.0",
    "@rollup/plugin-commonjs": "^14.0.0",
    "@rollup/plugin-image": "^2.1.1",
    "@rollup/plugin-node-resolve": "^9.0.0",
    "@rollup/plugin-replace": "^2.4.2",
    "@rollup/plugin-typescript": "^8.2.5",
    "@typescript-eslint/eslint-plugin": "^4.28.1",
    "@typescript-eslint/parser": "^4.28.5",
    "@vicons/ionicons5": "^0.11.0",
    "@vue/cli-plugin-babel": "^4.5.13",
    "@vue/cli-plugin-typescript": "^4.5.13",
    "@vue/cli-service": "^4.5.13",
    "@vue/compiler-sfc": "^3.0.11",
    "@zerollup/ts-transform-paths": "^1.7.18",
    "animate.css": "^4.1.1",
    "axios": "^0.24.0",
    "core-js": "^3.18.3",
    "countup.js": "^2.0.8",
    "cross-env": "^7.0.3",
    "dayjs": "^1.10.6",
    "echarts": "^5.1.2",
    "eslint": "^7.30.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-prettier": "^3.4.0",
    "eslint-plugin-vue": "^7.14.0",
    "minimist": "^1.2.5",
    "mitt": "^3.0.0",
    "naive-ui": "^2.19.5",
    "normalize.css": "^8.0.1",
    "postcss": "^8.2.10",
    "prettier": "^2.3.2",
    "qs": "^6.5.2",
    "rimraf": "^3.0.2",
    "rollup": "^2.52.8",
    "rollup-plugin-postcss": "^4.0.0",
    "rollup-plugin-terser": "^7.0.2",
    "rollup-plugin-vue": "^6.0.0",
    "stylus": "^0.55.0",
    "stylus-loader": "^3.0.2",
    "typescript": "^4.3.5",
    "vue": "3.2.6"
  },
  "peerDependencies": {
    "postcss": "^8.2.10",
    "vue": "^3.2.6"
  },
  "engines": {
    "node": ">=12"
  },
  "author": "GuoMingyao",
  "license": "MIT"
}
